> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Interest Accruals

> Lists interest accruals for an entity between the specified date range given

### Supported Products

* Portfolio Margin
* Trade Finance
* Bilateral Lending


## OpenAPI

````yaml GET /v1/entities/{entity_id}/accruals
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/accruals:
    get:
      tags:
        - Financing
      summary: List Interest Accruals
      description: >-
        Lists interest accruals for an entity between the specified date range
        given
      operationId: PrimeRESTAPI_GetInterestAccruals
      parameters:
        - name: entity_id
          in: path
          description: The unique ID of the entity
          required: true
          schema:
            type: string
        - name: portfolio_id
          in: query
          description: The unique ID of the portfolio
          schema:
            type: string
        - name: start_date
          in: query
          description: The start date of the range to query for in RFC3339 format
          schema:
            type: string
        - name: end_date
          in: query
          description: The end date of the range to query for in RFC3339 format
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetInterestAccrualsResponse
components:
  schemas:
    coinbase.public_rest_api.GetInterestAccrualsResponse:
      type: object
      properties:
        total_notional_accrual:
          type: string
        accruals:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.Accrual'
    coinbase.public_rest_api.Accrual:
      type: object
      properties:
        accrual_id:
          type: string
          description: The accrual ID
          example: 9227410b-d2d2-4646-950d-df126601bf2a
        date:
          type: string
          description: The date of accrual in UTC
          example: '2023-05-01T12:00:00.000Z'
        portfolio_id:
          type: string
          description: The unique ID of the portfolio
          example: e8bbed13-fa33-41de-86d5-4335d8f08166
        symbol:
          type: string
          description: The currency symbol
          example: BTC
        loan_type:
          $ref: '#/components/schemas/coinbase.public_rest_api.LoanType'
        interest_rate:
          type: string
          description: The daily or annualized interest rate for the loan, see rate_type
          example: '0.05'
        nominal_accrual:
          type: string
          description: Daily accrual amount in the principal currency
          example: 0.00013699
        notional_accrual:
          type: string
          description: Daily USD accrued interest
          example: '4.07'
        conversion_rate:
          type: string
          description: Accrual rate used to convert from principal to USD accrual
          example: '29687.94'
        loan_amount:
          type: string
          description: Outstanding principal of the loan
          example: '1.05'
        benchmark:
          $ref: '#/components/schemas/coinbase.public_rest_api.Benchmark'
        benchmark_rate:
          type: string
          description: Daily interest rate fetched from the benchmark source
          example: 0.0005
        spread:
          type: string
          description: Daily spread offset from the benchmark rate
          example: 0.0001
        rate_type:
          $ref: '#/components/schemas/coinbase.public_rest_api.RateType'
        loan_amount_notional:
          type: string
          description: Outstanding principal of the loan in USD
          example: '1.05'
        nominal_open_borrow_sod:
          type: string
          description: Settled open borrow as of start-of-day in the principal currency
          example: '1.05'
        notional_open_borrow_sod:
          type: string
          description: Settled open borrow as of start-of-day in USD
          example: '1.05'
    coinbase.public_rest_api.LoanType:
      type: string
      default: LOAN_TYPE_UNSET
      enum:
        - LOAN_TYPE_UNSET
        - BILATERAL_LENDING
        - TRADE_FINANCE
        - PORTFOLIO_MARGIN
        - SHORT_COLLATERAL_LOAN
        - SHORT_COLLATERAL
        - CROSS_MARGIN
    coinbase.public_rest_api.Benchmark:
      type: string
      default: BENCHMARK_UNSET
      enum:
        - BENCHMARK_UNSET
        - ZERO
        - SOFR_360
        - SOFR_365
        - CRYPTO_RFR
    coinbase.public_rest_api.RateType:
      type: string
      default: RATE_TYPE_UNSET
      enum:
        - RATE_TYPE_UNSET
        - BPS
        - APR_360
        - APR_365
        - APR

````